Vla-put-tolerancesuppresszeroinches

提供:GizmoLabs - だいたい CAD LISP なサイト
構文
(vla-put-tolerancesuppresszeroinches vla-object bool)


機能
寸法許容差値の 0 インチ計測値の省略を指定する。


引数
  • vla-object … VLAオブジェクト(DimAligned、DimArcLength、DimDiametric、DimOrdinate、DimRadial、DimRadialLarge、DimRotated)
  • bool … ブール型
  • :vlax-True: 0 インチの寸法表示は省略。
  • :vlax-False: 0 インチの寸法表示は省略しない。


戻り値
nil


  • このプロパティの初期値は False。
  • 注: このプロパティは、指定された寸法でシステム変数 DIMTZIN[寸法許容差 0 省略]の値を変更する。


サンプル
(vl-load-com)
(defun c:Example_ToleranceSuppressZeroInches()
    ;; モデル空間に平行寸法を作成し、寸法公差の表示でゼロインチの表示を切り替えるサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;;寸法の設定
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 6.01 5 0)
          location (vlax-3d-point 5 8 0))
    
    ;; モデルに平行寸法を作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-put-UnitsFormat dimObj acDimLArchitectural)
    
    ;; 寸法許容差を設定
    (vla-put-ToleranceDisplay dimObj acTolLimits)
    (vla-put-ToleranceLowerLimit dimObj -95)
    (vla-put-ToleranceUpperLimit dimObj 95)

    (vla-ZoomAll acadObj)

    ;; 寸法公差値の ゼロインチ表示を切り替え
    (vla-put-ToleranceSuppressZeroInches dimObj (if (= (vla-get-ToleranceSuppressZeroInches dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
    (alert "寸法公差値のゼロインチ表示を変更。")

    ;; 寸法公差値のゼロインチの表示を切り替え
    (vla-put-ToleranceSuppressZeroInches dimObj (if (= (vla-get-ToleranceSuppressZeroInches dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
    (alert "寸法公差値のゼロインチ表示をもどします。")

)

関連事項